﻿using C1.C1Report;
using C1.Win.C1Preview;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace c1report_print
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            c1Report = new C1Report();
            string path = System.AppDomain.CurrentDomain.SetupInformation.ApplicationBase;
            c1Report.Load(@path + "\\xml\\记账凭证多个打印.xml", "New Report（240*140） More");
            c1Report.DataSource.Recordset = GetDataTable();
            pdlg = new C1PrintPreviewDialog();
			c1Report.Layout.MarginLeft = 2020;
            pdlg.Document = c1Report.Document;

			//pdlg.Show();
			ppv.Document = c1Report.Document;
			
			

		}

        private C1Report c1Report;
        private C1PrintPreviewDialog pdlg;
		
        private C1.Win.C1Preview.C1PrintPreviewControl c1PrintPreviewControl1;
        private DataTable GetDataTable()
        {
            DataTable table = new DataTable();
            table.Columns.Add("serverName");//公司
            table.Columns.Add("title");//表头
            table.Columns.Add("No");//序号
            table.Columns.Add("VoucherNo");//凭证号
            table.Columns.Add("VoucherDate");//业务日期
            table.Columns.Add("TicketCount");//附件张数
            table.Columns.Add("periods");//期号（yyyy年第n期）
            table.Columns.Add("reference");//参考信息

            table.Columns.Add("cResume");//摘要
            table.Columns.Add("cAcccodeAllName");//科目
            table.Columns.Add("nJ");//借方
            table.Columns.Add("nD");//贷方

            table.Columns.Add("CreateUser");//制单人
            table.Columns.Add("sumNJ");
            table.Columns.Add("sumND");
            table.Columns.Add("ye");
            table.Columns.Add("sumAll");

            for (int i = 0; i < 4; i++)
            {
                table.Rows.Add(new object[] { "中科科技", "记账凭证1", "1", "N01", DateTime.Now.ToString("yyyy-MM-dd"), "1", "2017年第11期", "参考1", string.Format("cResume{0}", i), string.Format("cAcccodeAllName{0}", i), string.Format("{0}", 0), string.Format("{0}", 0), "", "系统管理员1", "","",""});

            }
            
            return table;
        }
    }
}
